summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2022-05-05 20:05:49 +0200
committer Willy Sudiarto Raharjo2022-05-07 08:59:19 +0200
commit4392e67dc83ff8da43a88650e884e3c5cd3d4d5d (patch)
tree7c70a11b3b8ba9acaef72574348d6a60895cf06f
parent9523691965a88f34c82ea368fa03caf80f3a46db (diff)
downloadslackbuilds-4392e67dc83ff8da43a88650e884e3c5cd3d4d5d.tar.gz
games/pcgen: Strip bins/libs, fix ARCH, etc.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/pcgen/README8
-rw-r--r--games/pcgen/pcgen.SlackBuild46
2 files changed, 42 insertions, 12 deletions
diff --git a/games/pcgen/README b/games/pcgen/README
index 2fdb066b49..7a6075eca0 100644
--- a/games/pcgen/README
+++ b/games/pcgen/README
@@ -1,10 +1,8 @@
-PCGen helps you build characters for role-playing games like
-[D&D](http://dnd.wizards.com) and
-[Pathfinder](http://paizo.com/pathfinderRPG).
+PCGen helps you build characters for role-playing games like D&D
+(http://dnd.wizards.com) and Pathfinder (http://paizo.com/pathfinderRPG)
It's a digital character sheet that handles all the tricky and tedious
parts of building characters. You can use it to build one character
for yourself, or to keep track of a dozen NPCs for a game world.
-This SlackBuild.org installs from the binary distribution, so it's
-available for x64 only.
+This build is a binary repack, so it's available for x86_64 only.
diff --git a/games/pcgen/pcgen.SlackBuild b/games/pcgen/pcgen.SlackBuild
index 8482363d8c..4fdc5fa9b5 100644
--- a/games/pcgen/pcgen.SlackBuild
+++ b/games/pcgen/pcgen.SlackBuild
@@ -8,24 +8,43 @@
# notice and this notice are preserved. This file is offered as-is,
# without any warranty.
+# 20220505 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - this is not noarch. force ARCH=x86_64, and warn user if on some other arch.
+# - reword README slightly.
+# - don't install windows .exe or .bat launcher.
+# - symlink executable to $PATH so command-line users can find it.
+# - strip binaries and libraries.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pcgen
VERSION=${VERSION:-"6.09.05"}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-ARCH="noarch"
+ARCH="x86_64"
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
fi
+U="$( uname -m )"
+if [ "$ARCH" != "$U" ]; then
+ cat <<EOF
+*********************************************************************
+$0: building $ARCH package on a $U system.
+
+The package will work if you install it on a $ARCH system, but not
+on this system.
+
+Press ^C within 10 seconds to abort.
+*********************************************************************
+EOF
+ sleep 10
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -43,9 +62,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
mkdir -p $PKG/opt/
mv $PRGNAM-linux-x64 $PKG/opt/$PRGNAM
@@ -54,10 +73,23 @@ mv $PRGNAM-linux-x64 $PKG/opt/$PRGNAM
cd $PKG/opt/$PRGNAM
patch < $CWD/pcgen.patch
+# 20220505 bkw: do not need windows stuff:
+rm -f *.exe *.bat
+
# desktop file, added to SlackBuild for convenience
mkdir -p $PKG/usr/share/applications/
cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+# 20220505 bkw: symlink to somewhere that's normally in $PATH. not
+# everyone uses a desktop environment with a start menu.
+mkdir -p $PKG/usr/games
+ln -s ../../opt/$PRGNAM/$PRGNAM $PKG/usr/games/$PRGNAM
+
+# 20220505 bkw: shipped bins/libs aren't stripped, but stripping
+# them does no harm.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild